Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### keyPressed

Examples

    // Click on the image to give it focus
    // and press any key

    // Note: the rectangle in this example may
    // flicker as the operating system may
    // register a long key press as a repetition
    // of key presses

    void draw() {
      if (keyPressed == true) {
        fill(0);
      } else {
        fill(255);
      }
      rect(25, 25, 50, 50);
    }

Description | The boolean system variable keyPressed is true if any key is pressed and false if no keys are pressed.

Syntax

    keyPressed

Usage | Web & Application
Related | key keyCode keyPressed() keyReleased()

Updated on November 22, 2008 08:39:26pm PST